#include <stdio.h>
#include <math.h>
main()
{
    int x,a,n,x1,x2,d,d1;
    printf("Ukupan broj poena na mecu je bio");
    scanf("%d",&n);
    printf("Minimalan broj poena da se osvoji set je bio");
    scanf("%d",&a);
    if(3<=n/a)
    {
        if(4>n/a)
        {
            if(3*a<n)
            {
                x=n-3*a;
                x1=0;
                printf("%d %d \n",a,x);
                 printf("%d %d \n",a,x1);
                  printf("%d %d \n",a,x1);
                  goto end;
            }
            else
            {
                x=0;
                printf("%d %d \n",a,x);
                 printf("%d %d \n",a,x);
                  printf("%d %d \n",a,x);
                  goto end;
            }
        }
        if(5>n/a)
        {
            if(4*a<n)
            {
                x=n-4*a;
                x1=0;
                printf("%d %d \n",x,a);
                 printf("%d %d \n",a,x1);
                  printf("%d %d \n",a,x1);
                  printf("%d %d \n",a,x1);
                  goto end;
            }
            else
            {
                x=0;
                printf("%d %d \n",a,x);
                 printf("%d %d \n",a,x);
                  printf("%d %d \n",x,a);
                  printf("%d %d \n",a,x);
                  goto end;
            }
        }
        if(5<=n/a)
        {
            if(5*a==n)
            {
                x=0;
                printf("%d %d \n",x,a);
                 printf("%d %d \n",a,x);
                  printf("%d %d \n",a,x);
                  printf("%d %d \n",x,a);
                  printf("%d %d \n",a,x);
                  goto end;
            }
            if((5*a<n)&&(n<6*a))
            {
              x=n-5*a;
                x1=0;
                printf("%d %d \n",x,a);
                 printf("%d %d \n",a,x1);
                  printf("%d %d \n",x1,a);
                  printf("%d %d \n",a,x1);
                  printf("%d %d \n",a,x1);
                  goto end;
            }
            else
            {
                x=0;
                x1=0;
                d=0;
                while(n-4*a+2-x>0)
                {
                    x=x+1;
                }
                x2=x/2;
                x1=x2-2;
                d=0;
                if(n%2==0)
                {
                printf("%d %d \n",x2,x1);
                 printf("%d %d \n",a,d);
                  printf("%d %d \n",d,a);
                  printf("%d %d \n",d,a);
                  printf("%d %d \n",a,d);
                  goto end;
                }
                if(n%2==1)
                {
                    d1=d+1;
                printf("%d %d \n",x2,x1);
                 printf("%d %d \n",a,d1);
                  printf("%d %d \n",d,a);
                  printf("%d %d \n",d,a);
                  printf("%d %d \n",a,d);
                  goto end;
                }
            }
        }
    }
    else
    {
        printf("-1");
    }
    end:
    return 0;
}